org.apache.sysds.runtime.codegen

## Class SpoofCellwise

- java.lang.Object
- - org.apache.sysds.runtime.codegen.SpoofOperator
  - - org.apache.sysds.runtime.codegen.SpoofCellwise

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SpoofCUDACellwise

      public abstract class SpoofCellwise
      extends SpoofOperator
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpoofCellwise.AggOp`
    `static class` | `SpoofCellwise.CellType`

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

      `SpoofOperator.SideInput, SpoofOperator.SideInputSparseCell, SpoofOperator.SideInputSparseRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoofCellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsSeq()`
    `SpoofCUDAOperator` | `createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
    `ScalarObject` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, int k)`
    `ScalarObject` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, int k, long rix)`
    `MatrixBlock` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out)`
    `MatrixBlock` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out, int k)`
    `MatrixBlock` | `execute(ArrayList<MatrixBlock> inputs, ArrayList<ScalarObject> scalarObjects, MatrixBlock out, int k, long rix)`
    `SpoofCellwise.AggOp` | `getAggOp()`
    `SpoofCellwise.CellType` | `getCellType()`
    `String` | `getSpoofType()`
    `boolean` | `isSparseSafe()`

    - ### Methods inherited from class org.apache.sysds.runtime.codegen.SpoofOperator

      `execute, getDenseMatrices, getTotalInputNnz, getTotalInputSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpoofCellwise

          public SpoofCellwise(SpoofCellwise.CellType type,
                               boolean sparseSafe,
                               boolean containsSeq,
                               SpoofCellwise.AggOp aggOp)

  - ### Method Detail

    - #### getCellType

          public SpoofCellwise.CellType getCellType()

    - #### getAggOp

          public SpoofCellwise.AggOp getAggOp()

    - #### isSparseSafe

          public boolean isSparseSafe()

    - #### containsSeq

          public boolean containsSeq()

    - #### createCUDAInstrcution

          public SpoofCUDAOperator createCUDAInstrcution(Integer opID,
                                                         SpoofCUDAOperator.PrecisionProxy ep)

      Specified by:
        `createCUDAInstrcution` in class `SpoofOperator`

    - #### getSpoofType

          public String getSpoofType()

      Specified by:
        `getSpoofType` in class `SpoofOperator`

    - #### execute

          public ScalarObject execute(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalarObjects,
                                      int k)

      Overrides:
        `execute` in class `SpoofOperator`

    - #### execute

          public ScalarObject execute(ArrayList<MatrixBlock> inputs,
                                      ArrayList<ScalarObject> scalarObjects,
                                      int k,
                                      long rix)

    - #### execute

          public MatrixBlock execute(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalarObjects,
                                     MatrixBlock out)

      Specified by:
        `execute` in class `SpoofOperator`

    - #### execute

          public MatrixBlock execute(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalarObjects,
                                     MatrixBlock out,
                                     int k)

      Overrides:
        `execute` in class `SpoofOperator`

    - #### execute

          public MatrixBlock execute(ArrayList<MatrixBlock> inputs,
                                     ArrayList<ScalarObject> scalarObjects,
                                     MatrixBlock out,
                                     int k,
                                     long rix)

Copyright © 2021 The Apache Software Foundation. All rights reserved.